Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.file
[Java] Class UnableToDeleteFileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.UncheckedIOException
                      org.gradle.api.file.UnableToDeleteFileException

    public class UnableToDeleteFileException
    extends UncheckedIOException

Thrown by Gradle when it is unable to delete a file.

Constructor Summary
`UnableToDeleteFileException(File file)`

Method Summary
`File` | `getFile()`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### UnableToDeleteFileException

    public UnableToDeleteFileException(File file)

Method Detail

### getFile

    public File getFile()

Gradle API 1.10